resourceCorridorsV2

Fetch all available corridors. The response of this query will return all countries, and currencies you can create beneficiaries in. It will also respond with the type of beneficiaries that are supported in the corridor, and the payment methods available.

Parameters

One of the follow must be given.

ParameterTypeRequiredDescription
entity_idUUIDfalseGiving this is highly recommended for accuracy. platform_id is not needed if this is supplied
platform_idUUIDfalseGiving only this will return the widest list available corridors which may include some that are restricted based on entity type or payment method.

GraphQL Query

query ResourceCorridorsV2($entity_id: UUID) {
  resourceCorridorsV2(entity_id: $entity_id) {
    country
    currency
    paymentMethod {
      local {
        personal {
          min
          max
          timeline
        }
        business {
          min
          max
          timeline
        }
      }
      swift {
        personal {
          min
          max
          timeline
        }
        business {
          min
          max
          timeline
        }
      }
      mobile {
        personal {
          min
          max
          timeline
        }
        business {
          min
          max
          timeline
        }
      }
      fedwire {
          personal {
          min
          max
          timeline
        }
        business {
          min
          max
          timeline
        }
      }
    }
  }
}
Body Params
string
Defaults to {}
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json